<?php
/**********************************************************************
***********************************************************************/
  
class dimensions_app extends application
{
	function __construct()
	{
		$dim = get_company_pref('use_dimension');
		parent::__construct("proj", _($this->help_context = "&Analysis"));  

		if ($dim > 0)
		{
			$this->add_module(_("Transactions"));
			$this->add_lapp_function(0, _("Dimension &Entry"),
				"dimensions/dimension_entry.php?", 'SA_DIMENSION', MENU_ENTRY);
			$this->add_lapp_function(0, _("&Outstanding Dimensions"),
				"dimensions/inquiry/search_dimensions.php?outstanding_only=1", 'SA_DIMTRANSVIEW', MENU_TRANSACTION);

			$this->add_module(_("Inquiries and Reports"));
			$this->add_lapp_function(1, _("Dimension &Inquiry"),
				"dimensions/inquiry/search_dimensions.php?", 'SA_DIMTRANSVIEW', MENU_INQUIRY);

			$this->add_rapp_function(1, _("&Reports"),
				"reporting/reports_main.php?Class=".RC_DIMENSIONS, 'SA_DIMENSIONREP', MENU_REPORT);
                        $this->add_rapp_function(1, _("&Run Custom Reports"),
				"dimensions/reports/run_custom_reports.php?", 'SA_DIMENSIONREP', MENU_REPORT);
                       
                        
			$this->add_module(_("Maintenance"));
			$this->add_lapp_function(2, _("Dimension &Tags"),
				"admin/tags.php?type=dimension", 'SA_DIMTAGS', MENU_MAINTENANCE);
                        $this->add_lapp_function(2, _("Dashboard Setup"),
                                "dashboard/dashboard_setup.php", 'SA_DASHBOARDSETUP', MENU_MAINTENANCE);
                        $this->add_lapp_function(2, _("Reminder Setup"),
                                "dashboard/reminder_setup.php", 'SA_DASHBOARDREMINDERS',MENU_MAINTENANCE);
                        $this->add_rapp_function(2, _("&Custom Reports"),
				"dimensions/reports/custom_reports.php?", 'SA_DIMENSIONREP', MENU_REPORT);
 
			$this->add_extensions();
		}
	}
}

?>